Skip to main content
POST
/
api
/
v0
/
repositories
/
{repo_id}
/
findings
Create a new finding in a repository.
curl --request POST \
  --url https://api.example.com/api/v0/repositories/{repo_id}/findings \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "category": "<string>",
  "assetGroup": {
    "assetGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "assets": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ]
  },
  "safeHarborAssetIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "relatedFiles": [
    {
      "path": "<string>",
      "lines": {
        "start": 123,
        "end": 123
      }
    }
  ],
  "commentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/findings"

payload = {
"title": "<string>",
"description": "<string>",
"category": "<string>",
"assetGroup": {
"assetGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assets": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"safeHarborAssetIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"relatedFiles": [
{
"path": "<string>",
"lines": {
"start": 123,
"end": 123
}
}
],
"commentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
category: '<string>',
assetGroup: {
assetGroupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assets: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
},
safeHarborAssetIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
relatedFiles: [{path: '<string>', lines: {start: 123, end: 123}}],
commentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "number": 123
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required

Body

application/json
title
string
required
description
string
required
severity
enum<string>
required

Severity of a [Finding].

Available options:
critical,
high,
medium,
low,
informational,
gas_optimization
likelihood
null | enum<string>

Likelihood of a [Finding].

Available options:
high,
medium,
low
impact
null | enum<string>

Impact of a [Finding].

Available options:
high,
medium,
low
category
string | null
assetGroup
null | object
safeHarborAssetIds
string<uuid>[]
commentId
string<uuid> | null

Populate it if the new finding originates from a file comment

Response

Finding created

id
string<uuid>
required
number
integer<int32>
required